VERSION=$(shell git describe --tags --abbrev=0)
BUILD=$(shell git rev-parse --short HEAD)
PROJ := $(shell basename "$(PWD)")
HUB=hub.kumoly.io
HUB_PROJECT=tools

LDFLAGS=-ldflags "-X main.Version=${VERSION} -X main.Build=${BUILD} -w"

default: build

clean:
	rm -rf dist

run: build
	$(shell cd dist; ./${PROJ} -log configui.log)

.PHONY: build
build:
	go build ${LDFLAGS} -o dist/${PROJ}